OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.DirectStateAccess

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBDirectStateAccess :: MonadIO m => m Bool
- gl_ARB_direct_state_access :: Bool
- pattern GL_QUERY_TARGET :: GLenum
- pattern GL_TEXTURE_BINDING_1D :: GLenum
- pattern GL_TEXTURE_BINDING_1D_ARRAY :: GLenum
- pattern GL_TEXTURE_BINDING_2D :: GLenum
- pattern GL_TEXTURE_BINDING_2D_ARRAY :: GLenum
- pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum
- pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_TEXTURE_BINDING_3D :: GLenum
- pattern GL_TEXTURE_BINDING_BUFFER :: GLenum
- pattern GL_TEXTURE_BINDING_CUBE_MAP :: GLenum
- pattern GL_TEXTURE_BINDING_CUBE_MAP_ARRAY :: GLenum
- pattern GL_TEXTURE_BINDING_RECTANGLE :: GLenum
- pattern GL_TEXTURE_TARGET :: GLenum
- glBindTextureUnit :: MonadIO m => GLuint -> GLuint -> m ()
- glBlitNamedFramebuffer :: MonadIO m => GLuint -> GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLbitfield -> GLenum -> m ()
- glCheckNamedFramebufferStatus :: MonadIO m => GLuint -> GLenum -> m GLenum
- glClearNamedBufferData :: MonadIO m => GLuint -> GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glClearNamedBufferSubData :: MonadIO m => GLuint -> GLenum -> GLintptr -> GLsizeiptr -> GLenum -> GLenum -> Ptr a -> m ()
- glClearNamedFramebufferfi :: MonadIO m => GLuint -> GLenum -> GLint -> GLfloat -> GLint -> m ()
- glClearNamedFramebufferfv :: MonadIO m => GLuint -> GLenum -> GLint -> Ptr GLfloat -> m ()
- glClearNamedFramebufferiv :: MonadIO m => GLuint -> GLenum -> GLint -> Ptr GLint -> m ()
- glClearNamedFramebufferuiv :: MonadIO m => GLuint -> GLenum -> GLint -> Ptr GLuint -> m ()
- glCompressedTextureSubImage1D :: MonadIO m => GLuint -> GLint -> GLint -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTextureSubImage2D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTextureSubImage3D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCopyNamedBufferSubData :: MonadIO m => GLuint -> GLuint -> GLintptr -> GLintptr -> GLsizeiptr -> m ()
- glCopyTextureSubImage1D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> m ()
- glCopyTextureSubImage2D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCopyTextureSubImage3D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCreateBuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateFramebuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateProgramPipelines :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateQueries :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()
- glCreateRenderbuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateSamplers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateTextures :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()
- glCreateTransformFeedbacks :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateVertexArrays :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDisableVertexArrayAttrib :: MonadIO m => GLuint -> GLuint -> m ()
- glEnableVertexArrayAttrib :: MonadIO m => GLuint -> GLuint -> m ()
- glFlushMappedNamedBufferRange :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> m ()
- glGenerateTextureMipmap :: MonadIO m => GLuint -> m ()
- glGetCompressedTextureImage :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr a -> m ()
- glGetNamedBufferParameteri64v :: MonadIO m => GLuint -> GLenum -> Ptr GLint64 -> m ()
- glGetNamedBufferParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetNamedBufferPointerv :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glGetNamedBufferSubData :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glGetNamedFramebufferAttachmentParameteriv :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetNamedFramebufferParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetNamedRenderbufferParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetQueryBufferObjecti64v :: MonadIO m => GLuint -> GLuint -> GLenum -> GLintptr -> m ()
- glGetQueryBufferObjectiv :: MonadIO m => GLuint -> GLuint -> GLenum -> GLintptr -> m ()
- glGetQueryBufferObjectui64v :: MonadIO m => GLuint -> GLuint -> GLenum -> GLintptr -> m ()
- glGetQueryBufferObjectuiv :: MonadIO m => GLuint -> GLuint -> GLenum -> GLintptr -> m ()
- glGetTextureImage :: MonadIO m => GLuint -> GLint -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetTextureLevelParameterfv :: MonadIO m => GLuint -> GLint -> GLenum -> Ptr GLfloat -> m ()
- glGetTextureLevelParameteriv :: MonadIO m => GLuint -> GLint -> GLenum -> Ptr GLint -> m ()
- glGetTextureParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetTextureParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetTextureParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetTextureParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetTransformFeedbacki64_v :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLint64 -> m ()
- glGetTransformFeedbacki_v :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLint -> m ()
- glGetTransformFeedbackiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVertexArrayIndexed64iv :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint64 -> m ()
- glGetVertexArrayIndexediv :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVertexArrayiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glInvalidateNamedFramebufferData :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> m ()
- glInvalidateNamedFramebufferSubData :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glMapNamedBuffer :: MonadIO m => GLuint -> GLenum -> m (Ptr a)
- glMapNamedBufferRange :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> GLbitfield -> m (Ptr a)
- glNamedBufferData :: MonadIO m => GLuint -> GLsizeiptr -> Ptr a -> GLenum -> m ()
- glNamedBufferStorage :: MonadIO m => GLuint -> GLsizeiptr -> Ptr a -> GLbitfield -> m ()
- glNamedBufferSubData :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glNamedFramebufferDrawBuffer :: MonadIO m => GLuint -> GLenum -> m ()
- glNamedFramebufferDrawBuffers :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> m ()
- glNamedFramebufferParameteri :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glNamedFramebufferReadBuffer :: MonadIO m => GLuint -> GLenum -> m ()
- glNamedFramebufferRenderbuffer :: MonadIO m => GLuint -> GLenum -> GLenum -> GLuint -> m ()
- glNamedFramebufferTexture :: MonadIO m => GLuint -> GLenum -> GLuint -> GLint -> m ()
- glNamedFramebufferTextureLayer :: MonadIO m => GLuint -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glNamedRenderbufferStorage :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLsizei -> m ()
- glNamedRenderbufferStorageMultisample :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glTextureBuffer :: MonadIO m => GLuint -> GLenum -> GLuint -> m ()
- glTextureBufferRange :: MonadIO m => GLuint -> GLenum -> GLuint -> GLintptr -> GLsizeiptr -> m ()
- glTextureParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glTextureParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glTextureParameterf :: MonadIO m => GLuint -> GLenum -> GLfloat -> m ()
- glTextureParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glTextureParameteri :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glTextureParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glTextureStorage1D :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> m ()
- glTextureStorage2D :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glTextureStorage2DMultisample :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureStorage3D :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> m ()
- glTextureStorage3DMultisample :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureSubImage1D :: MonadIO m => GLuint -> GLint -> GLint -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTextureSubImage2D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTextureSubImage3D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTransformFeedbackBufferBase :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glTransformFeedbackBufferRange :: MonadIO m => GLuint -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> m ()
- glUnmapNamedBuffer :: MonadIO m => GLuint -> m GLboolean
- glVertexArrayAttribBinding :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glVertexArrayAttribFormat :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexArrayAttribIFormat :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexArrayAttribLFormat :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexArrayBindingDivisor :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glVertexArrayElementBuffer :: MonadIO m => GLuint -> GLuint -> m ()
- glVertexArrayVertexBuffer :: MonadIO m => GLuint -> GLuint -> GLuint -> GLintptr -> GLsizei -> m ()
- glVertexArrayVertexBuffers :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLuint -> Ptr GLintptr -> Ptr GLsizei -> m ()

# Extension Support

glGetARBDirectStateAccess :: MonadIO m => m Bool Source #

Is the ARB_direct_state_access extension supported?

gl_ARB_direct_state_access :: Bool Source #

Is the ARB_direct_state_access extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDirectStateAccess` in those cases instead.

# Enums

pattern GL_QUERY_TARGET :: GLenum Source #

pattern GL_TEXTURE_BINDING_1D :: GLenum Source #

pattern GL_TEXTURE_BINDING_1D_ARRAY :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D_ARRAY :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_TEXTURE_BINDING_3D :: GLenum Source #

pattern GL_TEXTURE_BINDING_BUFFER :: GLenum Source #

pattern GL_TEXTURE_BINDING_CUBE_MAP :: GLenum Source #

pattern GL_TEXTURE_BINDING_CUBE_MAP_ARRAY :: GLenum Source #

pattern GL_TEXTURE_BINDING_RECTANGLE :: GLenum Source #

pattern GL_TEXTURE_TARGET :: GLenum Source #

# Functions

glBindTextureUnit Source #

Arguments

:: MonadIO m |
=> GLuint | `unit`.
-> GLuint | `texture`.
-> m () |

Manual page for OpenGL 4.x.

glBlitNamedFramebuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `readFramebuffer`.
-> GLuint | `drawFramebuffer`.
-> GLint | `srcX0`.
-> GLint | `srcY0`.
-> GLint | `srcX1`.
-> GLint | `srcY1`.
-> GLint | `dstX0`.
-> GLint | `dstY0`.
-> GLint | `dstX1`.
-> GLint | `dstY1`.
-> GLbitfield | `mask` of type ClearBufferMask.
-> GLenum | `filter` of type BlitFramebufferFilter.
-> m () |

Manual page for OpenGL 4.x.

glCheckNamedFramebufferStatus Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `target` of type FramebufferTarget.
-> m GLenum | of type FramebufferStatus.

Manual page for OpenGL 4.x.

glClearNamedBufferData Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedBufferSubData Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedFramebufferfi Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buffer` of type Buffer.
-> GLint | `drawbuffer`.
-> GLfloat | `depth`.
-> GLint | `stencil`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedFramebufferfv Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buffer` of type Buffer.
-> GLint | `drawbuffer`.
-> Ptr GLfloat | `value`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedFramebufferiv Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buffer` of type Buffer.
-> GLint | `drawbuffer`.
-> Ptr GLint | `value`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedFramebufferuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buffer` of type Buffer.
-> GLint | `drawbuffer`.
-> Ptr GLuint | `value`.
-> m () |

Manual page for OpenGL 4.x.

glCompressedTextureSubImage1D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glCompressedTextureSubImage2D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glCompressedTextureSubImage3D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glCopyNamedBufferSubData Source #

Arguments

:: MonadIO m |
=> GLuint | `readBuffer`.
-> GLuint | `writeBuffer`.
-> GLintptr | `readOffset`.
-> GLintptr | `writeOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.

glCopyTextureSubImage1D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 4.x.

glCopyTextureSubImage2D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glCopyTextureSubImage3D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glCreateBuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glCreateFramebuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glCreateProgramPipelines Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `pipelines` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glCreateQueries Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glCreateRenderbuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glCreateSamplers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `samplers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glCreateTextures Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glCreateTransformFeedbacks Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glCreateVertexArrays Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `arrays` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glDisableVertexArrayAttrib Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> m () |

Manual page for OpenGL 4.x.

glEnableVertexArrayAttrib Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> m () |

Manual page for OpenGL 4.x.

glFlushMappedNamedBufferRange Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.

glGenerateTextureMipmap Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> m () |

Manual page for OpenGL 4.x.

glGetCompressedTextureImage Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLsizei | `bufSize`.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedBufferParameteri64v Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type VertexBufferObjectParameter.
-> Ptr GLint64 | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedBufferParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type VertexBufferObjectParameter.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedBufferPointerv Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type VertexBufferObjectParameter.
-> Ptr (Ptr a) | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedBufferSubData Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedFramebufferAttachmentParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `pname` of type FramebufferAttachmentParameterName.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedFramebufferParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `pname` of type GetFramebufferParameter.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedRenderbufferParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> GLenum | `pname` of type RenderbufferParameterName.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetQueryBufferObjecti64v Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLuint | `buffer`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> GLintptr | `offset`.
-> m () |

glGetQueryBufferObjectiv Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLuint | `buffer`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> GLintptr | `offset`.
-> m () |

glGetQueryBufferObjectui64v Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLuint | `buffer`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> GLintptr | `offset`.
-> m () |

glGetQueryBufferObjectuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLuint | `buffer`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> GLintptr | `offset`.
-> m () |

glGetTextureImage Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> GLsizei | `bufSize`.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureLevelParameterfv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureLevelParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureParameterIiv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureParameterIuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLuint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureParameterfv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTransformFeedbacki64_v Source #

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLenum | `pname` of type TransformFeedbackPName.
-> GLuint | `index`.
-> Ptr GLint64 | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetTransformFeedbacki_v Source #

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLenum | `pname` of type TransformFeedbackPName.
-> GLuint | `index`.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetTransformFeedbackiv Source #

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLenum | `pname` of type TransformFeedbackPName.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetVertexArrayIndexed64iv Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> GLenum | `pname` of type VertexArrayPName.
-> Ptr GLint64 | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetVertexArrayIndexediv Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> GLenum | `pname` of type VertexArrayPName.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetVertexArrayiv Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLenum | `pname` of type VertexArrayPName.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glInvalidateNamedFramebufferData Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLsizei | `numAttachments`.
-> Ptr GLenum | `attachments` pointing to elements of type FramebufferAttachment.
-> m () |

Manual page for OpenGL 4.x.

glInvalidateNamedFramebufferSubData Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLsizei | `numAttachments`.
-> Ptr GLenum | `attachments` pointing to elements of type FramebufferAttachment.
-> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glMapNamedBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `access` of type BufferAccessARB.
-> m (Ptr a) |

Manual page for OpenGL 4.x.

glMapNamedBufferRange Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> GLbitfield | `access` of type MapBufferAccessMask.
-> m (Ptr a) |

Manual page for OpenGL 4.x.

glNamedBufferData Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data`.
-> GLenum | `usage` of type VertexBufferObjectUsage.
-> m () |

Manual page for OpenGL 4.x.

glNamedBufferStorage Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> GLbitfield | `flags` of type BufferStorageMask.
-> m () |

Manual page for OpenGL 4.x.

glNamedBufferSubData Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `COMPSIZE(size)` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferDrawBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buf` of type ColorBuffer.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferDrawBuffers Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLsizei | `n`.
-> Ptr GLenum | `bufs` pointing to elements of type ColorBuffer.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferParameteri Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `pname` of type FramebufferParameterName.
-> GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferReadBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `src` of type ColorBuffer.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferRenderbuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `renderbuffertarget` of type RenderbufferTarget.
-> GLuint | `renderbuffer`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferTexture Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferTextureLayer Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `layer`.
-> m () |

Manual page for OpenGL 4.x.

glNamedRenderbufferStorage Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glNamedRenderbufferStorageMultisample Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glTextureBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLuint | `buffer`.
-> m () |

Manual page for OpenGL 4.x.

glTextureBufferRange Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameterIiv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameterIuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLuint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameterf Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type TextureParameterName.
-> GLfloat | `param`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameterfv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLfloat | `param`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameteri Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type TextureParameterName.
-> GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage1D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `levels`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage2D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `levels`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage2DMultisample Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage3D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `levels`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage3DMultisample Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual page for OpenGL 4.x.

glTextureSubImage1D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glTextureSubImage2D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glTextureSubImage3D Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glTransformFeedbackBufferBase Source #

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> m () |

Manual page for OpenGL 4.x.

glTransformFeedbackBufferRange Source #

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.

glUnmapNamedBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

Manual page for OpenGL 4.x.

glVertexArrayAttribBinding Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLuint | `bindingindex`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayAttribFormat Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribType.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayAttribIFormat Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribIType.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayAttribLFormat Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribLType.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayBindingDivisor Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `bindingindex`.
-> GLuint | `divisor`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayElementBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayVertexBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `bindingindex`.
-> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizei | `stride`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayVertexBuffers Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLuint | `buffers`.
-> Ptr GLintptr | `offsets`.
-> Ptr GLsizei | `strides`.
-> m () |

Manual page for OpenGL 4.x.